survregDtest {survival} | R Documentation

## Verify a survreg distribution

### Description

This routine is called by `survreg` to verify that a distribution object is valid.

### Usage

    survregDtest(dlist, verbose = F)

### Arguments

`dlist` | the list describing a survival distribution
`verbose` | return a simple TRUE/FALSE from the test for validity (the default), or a verbose description of any flaws.

### Details

If the `survreg` function rejects your user-supplied distribution as invalid, this routine will tell you why it did so.

### Value

TRUE if the distribution object passes the tests, and either FALSE or a vector of character strings if not.

### Author(s)

Terry Therneau

### See Also

`survreg.distributions`, `survreg`

### Examples

    # An invalid distribution (it should have "init =" on line 2)
    #  surveg would give an error message
    mycauchy <- list(name='Cauchy',
                     init<- function(x, weights, ...)
                          c(median(x), mad(x)),
                     density= function(x, parms) {
                          temp <- 1/(1 + x^2)
                          cbind(.5 + atan(temp)/pi, .5+ atan(-temp)/pi,
                                temp/pi, -2 *x*temp, 2*temp^2*(4*x^2*temp -1))
                          },
                     quantile= function(p, parms) tan((p-.5)*pi),
                     deviance= function(...) stop('deviance residuals not defined')
                     )

    survregDtest(mycauchy, TRUE)

[Package survival version 2.39-4 Index]